/*.container {*/
/*    padding-top: 5px;*/
/*}*/

/*#cards{*/
/*padding-left: 0;*/
/*padding-right: 0;*/
/*}*/

html, body {
    height: 100%;
    margin: 0;
}

.wrapper {
    min-height: 100%;

    /* Equal to height of footer */
    /* But also accounting for potential margin-bottom of last child */
    margin-bottom: -50px;
}

.footer,
.push {
    height: 50px;
}

#all-news {
    float: right;
}

#news-cards > * {
    margin-bottom: 5px;
}

.dropdown-submenu {
    position: relative;
}

.dropdown-submenu a::after {
    transform: rotate(-90deg);
    position: absolute;
    right: 6px;
    top: .8em;
}

.dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-left: .1rem;
    margin-right: .1rem;
}

#sidebar {
    overflow: hidden;
    z-index: 3;
}

#sidebar .list-group {
    min-width: 400px;
    background-color: #333;
    min-height: 100vh;
}

#sidebar i {
    margin-right: 6px;
}

#sidebar .list-group-item {
    border-radius: 0;
    background-color: #333;
    color: #ccc;
    border-left: 0;
    border-right: 0;
    border-color: #2c2c2c;
    white-space: nowrap;
}

/* highlight active menu */
#sidebar .list-group-item:not(.collapsed) {
    background-color: #222;
}

/* closed state */
#sidebar .list-group .list-group-item[aria-expanded="false"]::after {
    content: "+";
    display: inline;
    text-align: right;
    padding-left: 5px;
}

/* open state */
#sidebar .list-group .list-group-item[aria-expanded="true"] {
    background-color: #222;
}

#sidebar .list-group .list-group-item[aria-expanded="true"]::after {
    content: "-";
    display: inline;
    text-align: right;
    padding-left: 5px;
}

/* level 1*/
#sidebar .list-group .collapse .list-group-item,
#sidebar .list-group .collapsing .list-group-item {
    padding-left: 20px;
}

/* level 2*/
#sidebar .list-group .collapse > .collapse .list-group-item,
#sidebar .list-group .collapse > .collapsing .list-group-item {
    padding-left: 30px;
}

/* level 3*/
#sidebar .list-group .collapse > .collapse > .collapse .list-group-item {
    padding-left: 40px;
}

@media (max-width: 768px) {
    #sidebar {
        min-width: 35px;
        max-width: 40px;
        overflow-y: auto;
        overflow-x: visible;
        transition: all 0.25s ease;
        transform: translateX(-45px);
        position: fixed;
    }

    #sidebar.show {
        transform: translateX(0);
    }

    #sidebar::-webkit-scrollbar {
        width: 0px;
    }

    #sidebar, #sidebar .list-group {
        min-width: 35px;
        overflow: visible;
    }

    /* overlay sub levels on small screens */
    #sidebar .list-group .collapse.show, #sidebar .list-group .collapsing {
        position: relative;
        z-index: 1;
        width: 190px;
        top: 0;
    }

    #sidebar .list-group > .list-group-item {
        text-align: center;
        padding: .75rem .5rem;
    }

    /* hide caret icons of top level when collapsed */
    #sidebar .list-group > .list-group-item[aria-expanded="true"]::after,
    #sidebar .list-group > .list-group-item[aria-expanded="false"]::after {
        display: none;
    }
}

.collapse.show {
    visibility: visible;
}

.collapsing {
    visibility: visible;
    height: 0;
    -webkit-transition-property: height, visibility;
    transition-property: height, visibility;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
}

.collapsing.width {
    -webkit-transition-property: width, visibility;
    transition-property: width, visibility;
    width: 0;
    height: 100%;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
}

.teacher-cards > ul {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(128px, 540px));
    grid-gap: 1rem;
}

.teacher-cards > ul > li > .card {
    min-height: 300px;
}